> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Entry Versions



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/versions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/versions:
    get:
      tags:
        - Collections
      summary: Find Entry Versions
      operationId: CollectionsController_findEntryVersions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: ids
          required: false
          in: query
          schema:
            minItems: 1
            maxItems: 100
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryVersionsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionEntryVersionsResponseDto:
      type: object
      properties:
        collectionVersion:
          type: number
        entries:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryVersionDto'
      required:
        - collectionVersion
        - entries
    CollectionEntryVersionDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
      required:
        - id
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````